package cc.fascinated.bat.event;

import cc.fascinated.bat.model.beatsaber.scoresaber.ScoreSaberLeaderboardToken;
import cc.fascinated.bat.model.beatsaber.scoresaber.ScoreSaberPlayerScoreToken;
import cc.fascinated.bat.model.beatsaber.scoresaber.ScoreSaberScoreToken;

/**
 * @author Fascinated (fascinated7)
 */
public interface EventListener {
    /**
     * Called when a ScoreSaber score is received
     *
     * @param score the score that was set
     * @param leaderboard the leaderboard that the score was set on
     * @param player the player that set the score
     */
    default void onScoresaberScoreReceived(ScoreSaberPlayerScoreToken score, ScoreSaberLeaderboardToken leaderboard,
                                           ScoreSaberScoreToken.LeaderboardPlayerInfo player) {}
}
